@rem = '--*-Perl-*--
@echo off
if "%OS%" == "Windows_NT" goto WinNT
perl -x -S "%0" %1 %2 %3 %4 %5 %6 %7 %8 %9
goto endofperl
:WinNT
perl -x -S %0 %*
if NOT "%COMSPEC%" == "%SystemRoot%\system32\cmd.exe" goto endofperl
if %errorlevel% == 9009 echo You do not have Perl in your PATH.
if errorlevel 1 goto script_failed_so_exit_with_non_zero_val 2>nul
goto endofperl
@rem ';
#!perl
#line 15
#!/bin/sh

prefix=/namazu
exec_prefix=${prefix}
exec_prefix_set=no

usage()
{
    cat <<EOF
Usage: nmz-config [OPTIONS]

Options:
  [--prefix[=DIR]]
  [--exec-prefix[=DIR]]
  [--libs]
  [--cflags]
  [--help]
  [--version]
EOF

    exit $1
}

if test $# -eq 0; then
    usage 1
fi

cflags=false
libs=false

while test $# -gt 0; do
    case "$1" in
    -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
    *) optarg= ;;
    esac

    case "$1" in
    --prefix=*)
	prefix=$optarg
        if test $exec_prefix_set = no ; then
          exec_prefix=$optarg
        fi
	;;

    --prefix)
	echo $prefix
	;;

    --exec-prefix=*)
	exec_prefix=$optarg
	exec_prefix_set=yes
	;;

    --exec-prefix)
	echo $exec_prefix
	;;

    --version)
	echo 2.0.13RC3
	exit 0
	;;

    --help)
	usage 0
	;;

    --cflags)
        if test ${prefix}/include != /usr/include ; then
          includes=-I${prefix}/include
        fi
        echo $includes
       	;;

    --libs)
       	echo -L${exec_prefix}/lib -lnmz
       	;;

    *)
	usage
	exit 1
	;;
    esac
    shift
done

exit 0

__END__
:endofperl
