#!/usr/bin/perl -w
#
# Test for gcnmz.
#

use strict;
require Cwd;
use File::Copy;
require 'pltests.pl';

my $cwd = Cwd::getcwd();
my $LOG = "$cwd/test-log";
my $TARGET = pltests::selectdata();
my $INDEX4 = "$cwd/idx4";
my $INDEX = "$cwd/idx5";
my $INDEX6 = "$cwd/idx6";
my $TMPDATA = "$cwd/tmp-data";
my $MKNMZ = pltests::binpath('mknmz');
my $GCNMZ = pltests::binpath('gcnmz');

my $cmd;

pltests::putline($LOG, "  *** starting $0");

if (-d "$INDEX") {
    unlink(<$INDEX/NMZ.*>);
} else {
    mkdir("$INDEX");
}
if (-d "$INDEX6") {
    unlink(<$INDEX6/NMZ.*>);
} else {
    mkdir("$INDEX6");
}
# Copy idx4 for testing gcnmz.
for my $file (<$INDEX4/*>) {
    copy($file, $INDEX6);
}

# Copy docments.
if (-d "$TMPDATA") {
    unlink(<$TMPDATA/*>);
} else {
    mkdir("$TMPDATA");
}
for my $file (<$TARGET/*>) {
    copy($file, $TMPDATA);
}

# Remove some documents.
unlink(<$TMPDATA/*.txt>);

# Simple indexing to make a reference index.
$cmd = "$MKNMZ -O $INDEX $TMPDATA";
pltests::putline($LOG, "  $cmd");
system("$cmd >> $LOG");
if ($? != 0) {
    exit 1;
}

# Apply gcnmz for idx6.
$cmd = "$GCNMZ --quiet --no-backup $INDEX6";
pltests::putline($LOG, "  $cmd");
system("$cmd >> $LOG");
if ($? != 0) {
    exit 1;
}

exit 0;
