#!/usr/bin/perl -w
#
# Check whether idx1 and idx3 indices are same.
#
# idx1: simply indexed.
# idx3: indexed with --checkpoint and $ON_MEMORY_MAX is 0.
#

use strict;
require Cwd;
use File::Compare;
use File::Basename;
require 'pltest.pl';

my $cwd = Cwd::getcwd();
my $LOG = "$cwd/test-log";
my $INDEX = "$cwd/idx1";
my $INDEX2 = "$cwd/idx3";

pltest::putline($LOG, "  *** starting $0");

my @targets = ();
for my $file (<$INDEX/NMZ.*>) {
    if ($file !~ /NMZ\.(?:log|r|slog|status|err)$/s) {
        push @targets, basename($file);
    }
}

for my $file (@targets) {
    if (compare("$INDEX/$file", "$INDEX2/$file") != 0) {
        exit 1;
    }
}

exit 0;
