#!/usr/bin/perl -w
#
# Test for simple indexing.
#

use strict;
require Cwd;
require 'pltests.pl';

my $cwd = Cwd::getcwd();
my $LOG = "$cwd/test-log";
my $TARGET = pltests::selectdata();
my $INDEX = "$cwd/idx1";
my $MKNMZ = pltests::binpath('mknmz');

my $cmd;

# help
$cmd = "$MKNMZ --help";
pltests::putline($LOG, "  *** $cmd");
system("$cmd >> $LOG");

# show-config
$cmd = "$MKNMZ -C";
pltests::putline($LOG, "  *** $cmd");
system("$cmd >> $LOG");

pltests::putline($LOG, "  *** starting $0");

if (-d "$INDEX") {
    unlink(<$INDEX/NMZ.*>);
} else {
    mkdir("$INDEX");
}

# Simple indexing.
$cmd = "$MKNMZ -O $INDEX $TARGET";
pltests::putline($LOG, "  $cmd");
system("$cmd >> $LOG");

exit $?;
