#!/usr/bin/perl -w
#
# Test for namazu. with MaxHit, MaxMatch.
#

use strict;
require Cwd;
require 'pltests.pl';

my $cwd = Cwd::getcwd();
my $LOG = "$cwd/test-log";
my $INDEX = "$cwd/idx8";
my $NAMAZU = pltests::binpath('namazu');


my $MSG = "Present index is old type. it's unsupported.";

my $cmd;
my $result;

delete $ENV{'LANG'};
delete $ENV{'LANGUAGE'};
$ENV{'LC_ALL'} = 'C';
delete $ENV{'LC_MESSAGE'};
delete $ENV{'NAMAZURC'};

pltests::putline($LOG, "  *** starting $0");

rename("$INDEX/NMZ.wi", "$INDEX/NMZ.wi.org");

$cmd = "$NAMAZU namazu $INDEX";
pltests::putline($LOG, $cmd);
$result = `$cmd`;
if (-f "$INDEX/NMZ.wi") {
    unlink "$INDEX/NMZ.wi";
}
rename("$INDEX/NMZ.wi.org", "$INDEX/NMZ.wi");
unless (defined $result) {
    exit 1;
}
if ($result !~ /$MSG/s) {
    exit 1;
}

exit 0;
