@REM = '--*-PERL-*--';
@REM = '
@ECHO OFF
ECHO ------------------------------------------------------
ECHO     Perl modules Installer for Windows ActivePerl
ECHO ------------------------------------------------------
PERL.EXE PPM-INSTALL.BAT %1 %2 %3 %4 %5 %6 %7 %8 %9
GOTO END

@rem ';
#!/usr/bin/perl
use strict;
use Archive::Tar;
use Config;
use File::Path;
use File::Copy;

sub SiteLibDirectory {
    #return 'c:\temp\site\lib';
    return $Config{'sitearch'}
	if (defined $Config{'sitearch'});
    return $Config{'prefix'}. '\site\lib'
	if (defined $Config{'prefix'});
    return 'c:\perl\site\lib';
}

sub CodeBase_HREF ($) {
    my $ppd = shift;
    local (*FH);
    open(FH, "<$ppd") or return "";
    my $xml = join('', <FH>);
    close(FH);
    if ($xml =~ /<CODEBASE +HREF="(.*?)"/is) {
	return $1;
    } else {
	$ppd =~ s/\.ppd$//i;
	return "x86/$ppd.tar.gz";
    }
}

sub ReplacePath ($) {
    my $path = shift;
    my $base = &SiteLibDirectory;
    $path =~ s#^blib/.+?/#$base/#i;
    $path =~ s/\//\\/g;
    return $path;
}

sub PPM_force_Install ($) {
    my $ppd = shift;
    my $codebase = &CodeBase_HREF($ppd);
    if ($codebase eq '') {
	print "$ppd: $!";
	return 0;
    }
    my $tar = Archive::Tar->new();
    $tar->read($codebase, 1);
    my @list_files = ();
    foreach my $file (sort $tar->list_files()) {
	if ($file !~ m#^blib/#i) {
	    print "$codebase: this archive is not contained blib/\n";
	    return 0;
	}
	if ($file !~ m#/(\.exists)?$#i) {
	    if (index($file, "blib/arch/auto/") == 0) {
		push (@list_files, $file);
	    } else {
		unshift (@list_files, $file);
	    }
	}
    }
    $tar->extract(@list_files);
    my $packlist_path = '';
    my @packlist = ();
    foreach my $src (@list_files) {
	my $target = &ReplacePath($src);
	my $dir = $target;
	$dir =~ s/\\[^\\]+$//;
	mkpath($dir, 0) unless (-d $dir);
	# print "installing ... $target\n";
	copy($src, $target);
	if (index($src, "blib/arch/auto/") == 0) {
	    $packlist_path = $dir;
	} else {
	    $packlist_path = $dir if ($packlist_path eq '');
	}
	push (@packlist, $target);
    }
    rmtree('blib', 0, 1);
    if ($packlist_path ne '') {
	my $file = "$packlist_path\\.packlist";
	mkpath($packlist_path, 0) unless (-d $packlist_path);
	local (*FH);
	open(FH, ">$file") or return 1;
	print "Writing $file\n";
	foreach my $line (@packlist) {
	    print FH "$line\n";
	}
	close(FH);
    }
    return 1;
}

sub PPM_Install ($) {
    my $ppd = shift;
    my $cmd = "call PPM.BAT install $ppd";
    print "\n>>> $cmd\n";
    my $temp = "temp.tmp";
    system (split (/ /, "$cmd > $temp"));
    my $result = '';
    local *TEMP;
    if (open (TEMP, "<$temp")) {
	$result = join ('', <TEMP>);
	close(TEMP);
	unlink ($temp);
    }
    print "$result";
    if ($result =~ /Error installing package/is) {
	print "force Installing package '$ppd'...\n";
	&PPM_force_Install($ppd);
    }
}

print 'Are you sure to install perl modules ? [Y/n] '; $_=<STDIN>; exit 1 if /n/i;
if ($] lt 5.006) {
    chdir ("500");
} else {
    chdir ("600");
}
&PPM_Install("File-MMagic.ppd");
&PPM_Install("NKF.ppd");
&PPM_Install("Text-Kakasi.ppd");
&PPM_Install("Search-Namazu.ppd");
print "\n### Finish !!!\n";
1;
__END__

:END
